> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Import suppression list > Used to import items to a suppression list. **Note:** This API is limited to 10,000 records in a single request. If you are importing more records, batch the data into multiple requests. ## OpenAPI ````json POST /import/suppression-list { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/import/suppression-list": { "post": { "summary": "Import suppression list", "description": "Used to import items to a suppression list.\n\n**Note:** This API is limited to 10,000 records in a single request. If you are importing more records, batch the data into multiple requests.", "operationId": "suppression-list-import", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "data" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "data": { "type": "array", "description": "Array of items to import into the suppression list", "items": { "type": "object" } } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "errors": { "type": "array", "items": { "type": "object" } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200" } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } }, "404": { "description": "404", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "404", "default": "0" }, "message": { "type": "string", "example": "Not Found" } } }, "examples": { "Result": { "value": { "success": "false", "code": "404", "message": "Not Found" } } } } } } }, "tags": [ "List Methods" ] } } } } ````